package mysqldb

import (
	"fmt"
	"testing"
)

func TestMysql(t *testing.T) {
	dsn := "root:mysql@tcp/zqkd"
	mysql := &Mysql{
		DSN: dsn,
	}

	err := mysql.Init()
	if err != nil {
		t.Error(err)
	}
	query := "select count(*) from wx_past_cate_457"

	stmt, _ := mysql.DB.Prepare(query)
	rows, err := stmt.Query()
	if err != nil {
		t.Error(err)
	}

	var count int

	for rows.Next() {
		if err := rows.Scan(&count); err != nil {
			t.Error(err)
		}

		fmt.Println("rows count:", count)

	}

}
